package com.zksy.data.service;

import com.zksy.common.domain.Result;
import com.zksy.data.domain.dto.TimeTaskDto;
import com.zksy.data.domain.po.XhTimeTask;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author hxb
* @description 针对表【xh_time_task】的数据库操作Service
* @createDate 2024-11-07 11:03:48
*/
public interface XhTimeTaskService extends IService<XhTimeTask> {

    Result<String> saveTimeTask(TimeTaskDto timeTaskDto);

    Result<String> removeTimeTask(String taskName);

    Result<String> stopAllTasks();

    Result<List<XhTimeTask>> getAllTask();
}
